# Update user profile

URL: https://www.inclamo.com/docs/api/application/profile/updateProfile

> Update the user profile details

## PUT /api/v1/profile

Update user profile

Update the user profile details

Base URL: https://helpdesk.inclamo.com

### Request body

`application/json` (required)

```json

{
  "type": "object",
  "required": [
    "profile"
  ],
  "properties": {
    "profile": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        },
        "email": {
          "type": "string"
        },
        "display_name": {
          "type": "string"
        },
        "message_signature": {
          "type": "string"
        },
        "phone_number": {
          "type": "string"
        },
        "current_password": {
          "type": "string"
        },
        "password": {
          "type": "string"
        },
        "password_confirmation": {
          "type": "string"
        },
        "ui_settings": {
          "type": "object"
        }
      }
    }
  }
}

```

`multipart/form-data` (required)

```json

{
  "type": "object",
  "required": [
    "profile"
  ],
  "properties": {
    "profile": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        },
        "email": {
          "type": "string"
        },
        "display_name": {
          "type": "string"
        },
        "message_signature": {
          "type": "string"
        },
        "phone_number": {
          "type": "string"
        },
        "current_password": {
          "type": "string"
        },
        "password": {
          "type": "string"
        },
        "password_confirmation": {
          "type": "string"
        },
        "avatar": {
          "type": "string",
          "format": "binary"
        },
        "ui_settings": {
          "type": "object"
        }
      }
    }
  }
}

```

### Responses

- 200: Success
- 401: Unauthorized

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
